package com.example.assignment1;

import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

public class SettingsActivity extends AppCompatActivity {

    protected Button saveButton;
    protected Toolbar myToolbar;

    protected CounterButtonSharedPreferenceHelper firstEventButton;
    protected CounterButtonSharedPreferenceHelper secondEventButton;
    protected CounterButtonSharedPreferenceHelper thirdEventButton;
    protected EditText counter_1_name_edit_text;
    protected EditText counter_2_name_edit_text;
    protected EditText counter_3_name_edit_text;

    protected EditText maximum_counts_edit_text;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_settings);

        myToolbar = (Toolbar) findViewById(R.id.settings_toolbar);
        saveButton = (Button) findViewById(R.id.saveButton);

        counter_1_name_edit_text = (EditText) findViewById(R.id.counter_1_edit_text);
        counter_2_name_edit_text = (EditText) findViewById(R.id.counter_2_edit_text);
        counter_3_name_edit_text = (EditText) findViewById(R.id.counter_3_edit_text);
        maximum_counts_edit_text = (EditText) findViewById(R.id.maximum_counts_edit_text);

        firstEventButton = new CounterButtonSharedPreferenceHelper(SettingsActivity.this, CounterButton.FIRST);
        secondEventButton = new CounterButtonSharedPreferenceHelper(SettingsActivity.this, CounterButton.SECOND);
        thirdEventButton = new CounterButtonSharedPreferenceHelper(SettingsActivity.this, CounterButton.THIRD);

        // enable toolbar/actionbar
        setSupportActionBar(myToolbar);

        assert getSupportActionBar() != null;
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);   //show back button

        // no save button in Display Mode
        saveButton.setVisibility(View.INVISIBLE);

        // in DISPLAY mode, it's not possible to edit counter button names
        counter_1_name_edit_text.setEnabled(false);
        counter_2_name_edit_text.setEnabled(false);
        counter_3_name_edit_text.setEnabled(false);
        maximum_counts_edit_text.setEnabled(false);
    }

    @Override
    protected void onStart()
    {
        super.onStart();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.settings_activity_menu, menu);
        return true;
    }
}